Subject: [Model-t] Status of draft-arkko-farrell-arch-model-t

From: Jari Arkko <[email-masked]>
Date: Thu, 7 Nov 2019 09:01:41 +0100

Hi,

I apologise for not sending this message out sooner, but I have been swamped after the I-D deadline in other things.

It’s probably worthwhile for me to describe where we are with the draft, and what remains to be done. First off, the -00 version is merely a merge of Stephen’s and my earlier Internet drafts, along with some sanitisation of our sometimes garbled thoughts from the earlier documents. But it has NOT yet taken into account the SAAG and DEDR discussions which were extensive, or much other documents beyond the ones that were in the old I-Ds. Basically, Stephen and I run out of time to complete the work. But we’d be very happy to complete this in -01, perhaps even during the IETF week. I have several offers to help and work on this topic together from Dominique and others (thank you all); several pointers for things that should be discussed and listed; and there’s potential for extensive revision. I still plan to take up on those offers for help :-) 

In other words, I wanted to be clear that we’re nowhere near done, and there’s a queue of things waiting to be looked at and integrated in some fashion, from drafts and newly published research to the SAAG list discussion. I also want to be clear that no individual draft, particularly ours, should be taken as the official one. Ours is just an individual opinion, and so far an incomplete one even. Hopefully others will also provide drafts.

As an editor who put this together and failed to send a message on this list explaining where we are, I apologise. But hopefully we can focus on the next steps and start making this and possible other documents in this space better.

Hopefully this helps,

Jari